Subject: Re: [patch] isdn/gigaset: add a kfree() to error path

From: Dan Carpenter <[email-masked]>
Date: Wed, 30 Jun 2010 00:33:11 +0200

On Wed, Jun 30, 2010 at 12:18:15AM +0200, Tilman Schmidt wrote:
> Dan,
> 
> thanks for your patch. It is quite correct as it stands.
> There is however another problem with that error path, in
> that it also doesn't free the previously allocated channel.
> I prefer not to carry two separate patches for that, so I'm
> replacing your patch with the following augmented patch,
> which I'll submit together with my other pending patches
> for 2.6.36 soon:
> 

Good deal.

Acked-by: Dan Carpenter <[email-masked]>

regards,
dan carpenter